%define _legacy_common_support 1

Name:		aircrack-ng
Version:	1.7
Release:	%mkrel 1
Summary:	Reliable 802.11 (wireless) sniffer and WEP key cracker
License:	GPLv2+
Group:		Networking/Other
URL:		http://www.aircrack-ng.org/doku.php
Source0:	http://download.aircrack-ng.org/%{name}-%{version}.tar.xz
Patch1:		aircrack-ng-parallel-build.patch
BuildRequires:	pkgconfig(cmocka)
BuildRequires:	pkgconfig(jemalloc)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(libpcre)
BuildRequires:	pkgconfig(libtcmalloc)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	libnl3-devel

%description
aircrack-ng is a set of tools for auditing wireless networks. It's an
enhanced/reborn version of aircrack. It consists of airodump (an 802.11
packet capture program), aireplay (an 802.11 packet injection program),
aircrack (static WEP and WPA-PSK cracking), airdecap (decrypts WEP/WPA
capture files), and some tools to handle capture files (merge, convert,
etc.).


%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{?epoch:%{epoch}:}%{version}-%{release}

%description devel
%{summary}.

%prep
%setup -qn %{name}-%{version}

%build
 CFLAGS+=' -fcommon'

NOCONFIGURE=1 ./autogen.sh
%configure2_5x \
	--enable-static \
	--disable-shared \
	--disable-silent-rules \
	--disable-dependency-tracking \
	--with-jemalloc \
	--with-tcmalloc \
	--with-experimental

%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.*a' -delete

mkdir -p %{buildroot}%{_datadir}/%{name}
touch %{buildroot}%{_datadir}/%{name}/airodump-ng-oui.txt

%post
%{_sbindir}/airodump-ng-oui-update

%files
%{_bindir}
%{_sbindir}
%{_datadir}

%files devel
%{_includedir}


%changelog
* Tue Aug 09 2022 tex - 1.7-1pclos2022
- new version

* Thu Dec 16 2021 tex - 1.6-1pclos2021
- new version
